View Issue Details

IDProjectCategoryView StatusLast Update
00302842.x IDE BugsCode EditorPublic2019-01-30 09:41
ReporterStewart BishopAssigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.1 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030284: Code Editor: Defining an enum twice in the same code file throws an error with a tooltip that's not useful
DescriptionDefining an enum twice in the same code file throws an error with a tooltip that's not useful. As seen in the attached screenshot, this is the error you get when you define a macro twice in the same script/event.
Steps To Reproduce1) Open the create event for object0
2) Hover over the tooltip
TagsIDE
2.x IDE Found In9.2.1.1639
2.x Runtime Found In9.9.1.1270
2.x IDE Verified In2.2.2.389
2.x Runtime Verified In2.2.2.302

Activities

Stewart Bishop

2018-12-04 16:03

Developer  

EnumTooltipBug.yyz (19,576 bytes)
Untitled.png (16,463 bytes)
Untitled.png (16,463 bytes)

Russell Kay

2018-12-10 17:01

Manager   ~0062204

Resolved in github

Dan

2019-01-30 09:41

Adminstrator   ~0062570

Now says "Duplicate enum found". Closing.